<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
{{#js}}
    require(['jquery', 'theme_boost/bootstrap/tooltip','local_staticpage/report', 'local_staticpage/dijitalkoc'], function($, Tooltip){
        $(document).ready(function() {
            var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
            var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
              return new Tooltip(tooltipTriggerEl)
            })
        });
    })
{{/js}}
<style>
	.toast-success{background-color:#51A351!important}.toast-error{background-color:#BD362F!important}.toast-info{background-color:#2F96B4!important}.toast-warning{background-color:#F89406!important}
    tr.tytmatematik td {
        background-color: var(--plan-tytmatematik) !important;
        -webkit-print-color-adjust: exact;
    }

    tr.tytrutin td {
        background-color: var(--plan-tytrutin) !important;
        -webkit-print-color-adjust: exact;
    }
    tr.tytmatematik td{
         background-color: var(--plan-tytmatematik) !important; /* AliceBlue */
          -webkit-print-color-adjust: exact;
      }
        /*Ayt matematik sınıfı*/
     tr.aytmatematik td{
            background-color: var(--plan-aytmatematik) !important;/* Honeydew */
       }
       
        tr.tytaytfizik td{
          background-color: var(--plan-tytaytfizik) !important; /* LavenderBlush */
        }
     tr.tytaytkimya td{
         background-color:  var(--plan-tytaytkimya) !important; /* PapayaWhip */
      }
    tr.tytaytbiyoloji td{
         background-color:  var(--plan-tytaytbiyoloji) !important;  /* LightCyan */
        }
    tr.tytaytgeometri td{
         background-color: var(--plan-tytaytgeometri) !important;  /* Beige */
         }

     /*Tyt matematik deneme class*/
    tr.tytmatematikdeneme td{
     background-color:  var(--plan-tytmatematikdeneme) !important;
    }
        /* Ayt matematik deneme class*/
     tr.aytmatematikdeneme td{
              background-color:  var(--plan-aytmatematikdeneme) !important;/* AntiqueWhite */
           }
         tr.aytfizik{
        background-color:  var(--plan-aytfizik) !important;  /* Lavender */
     }
       /* Ayt biyoloji class*/
      tr.aytbiyoloji td{
       background-color: var(--plan-aytbiyoloji) !important; /* Khaki */
     }

     /* ayt kimya classı */
       tr.aytkimya td{
        background-color:  var(--plan-aytkimya) !important;   /* Thistle */
      }
      tr.tytturkce td {
        background-color:  var(--plan-tytturkce) !important;    /* LemonChiffon */
        }
</style>

<div id="loading-overlay" style="display:none"> <!-- loading yapısı default görünmeyecek-->
    <div id="loading-spinner"></div>
    <div id="loading-text">Yükleniyor...</div>
</div>
<div class="container">
    <p>Dijital Koç, TYT ve AYT sürecinde, şu andan sınav gününe kadar olan sürede hangi konulara ne kadar zaman ayırman gerektiğini, hangi gün hangi derse çalışacağını, ne zaman deneme ve ne zaman soru bankası çözmen gerektiğini söyleyebilir.</p>
    <div id="plan-form">
		<div class="card-deck">
			<input type="hidden" id="kullanici_id" value="{{userid}}"> <!-- Örnek Kullanıcı ID -->
			<div class="card mb-3 col-md-6">
				<div class="card-body">
					<h5 class="card-title">Bigilerin</h5>
					<div class="row">
						<div class="form-group col-md-6">
							<label for="startdate" data-bs-toggle="tooltip" title="Planlamaya hangi tarihten itibaren başlansın?">Başlangıç Tarihi</label>
							<input type="date" id="startdate" name="startdate" class="form-control"  title="Planlamaya başlanacak tarihi seçiniz." data-bs-toggle="tooltip" value="{{start_date}}">
					   
							<label for="enddate" data-bs-toggle="tooltip" title="Planlama hangi tarihe kadar yapılsın?">Bitiş Tarihi</label>
							<input type="date" id="enddate" name="enddate" class="form-control" value="2025-06-22" data-bs-toggle="tooltip" title="Ders planlaması hangi tarihe kadar yapılsın?">
						</div>
						<div class="form-group col-md-6">
							<label for="ogrenci_turu" data-bs-toggle="tooltip" title="TYT/AYT'ye hangi bölümden hazırlanıyorsun?">Hazırlanılan Alan</label>
							<select id="ogrenci_turu" name="ogrenci_turu" class="form-control" data-bs-toggle="tooltip" title="Bölümünü seç">
								<option value="sayisal" selected>Sayısal</option>
								<option value="sozel">Sözel</option>
								<option value="esitagirlik">Eşit Ağırlık</option>
							</select>
							<label for="hedefin" data-bs-toggle="tooltip" title="TYT/AYT'de hedefin nedir?">Sıralama Hedefin</label>
							<select id="hedefin" name="hedefin" class="form-control" data-bs-toggle="tooltip" title="TYT/AYT'de sıralama hedefin nedir?">
								<option value="100">İlk 100</option>
								<option value="1000">İlk 1.000</option>
								<option value="10000">İlk 10.000</option>
								<option value="20000">İlk 20.000</option>
								<option value="50000">İlk 50.000</option>
								<option value="100000" selected>İlk 100.000</option>
								<option value="150000">İlk 150.000</option>
								<option value="200000">İlk 200.000</option>
								<option value="250000">İlk 250.000</option>
								<option value="500000">İlk 500.000 (Allah'a Emanet)</option>
								<option value="-1">Beni bırak sen kendini kurtar</option>
							</select>
						</div>
					</div>
				</div>
			</div>
			<div class="card mb-3 col-md-6">
				<div class="card-body">
					<h5 class="card-title">Programı Nasıl Alırsın?</h5>
					<div class="row">
					   <div class="form-group col-md-6">
							<div class="form-check">
								<input type="radio" class="form-check-input" id="makerandom" name="plan_type" value="makerandom"  data-bs-toggle="tooltip" title="Plan hazırlanırken ders sayıları rastgele belirlensin.">
								<label class="form-check-label" for="makerandom">Programı rastgele yap</label>
							</div>         
							 <div class="form-check">
								<input type="radio" class="form-check-input" id="derssayilariesit" name="plan_type" value="derssayilariesit"  data-bs-toggle="tooltip" title="Plan hazırlanırken ders saati sayıları mümkün olduğunca eşit tutulmaya çalışılsın.">
								<label class="form-check-label" for="derssayilariesit">Haftalık ders sayıları eşit olsun</label>
							</div>
							
							<div class="form-check">
								<input type="radio" checked class="form-check-input" id="zayifdersleroncelikli" name="plan_type" value="zayifdersleroncelikli"  data-bs-toggle="tooltip" title="Plan hazırlanırken zayıf olduğun derslere öncelik verilsin.">
								<label class="form-check-label" for="zayifdersleroncelikli">Zayıf derslerim öncelikli olsun</label>
							</div>
						</div>
					   <div class="form-group col-md-6">
						   <div class="form-check">
							  <input type="checkbox" class="form-check-input" id="rutintytparagraf" checked value="1" data-bs-toggle="tooltip" title="Programa her gün TYT paragraf soruları eklenmesini sağlar.">
							  <label class="form-check-label" for="rutintytparagraf">Rutin paragraf ekle</label>
							</div>
							<div class="form-check">
							  <input type="checkbox" class="form-check-input" id="rutintytproblem" name="rutintytproblem" checked value="1" data-bs-toggle="tooltip" title="Programa her gün TYT problem soruları eklenmesini sağlar.">
							  <label class="form-check-label" for="rutintytproblem">Rutin TYT problem ekle</label>
							</div>
							<div class="form-check">
							  <input type="checkbox" class="form-check-input" id="rutintytgeometri" name="rutintytgeometri" value="1"  data-bs-toggle="tooltip" title="Programa her gün geometri soruları eklenmesini sağlar.">
							  <label class="form-check-label" for="rutintytgeometri">Rutin Geometri ekle</label>
							</div>
							<div class="form-check">
								<input type="checkbox" class="form-check-input" id="groupprogram" name="plan_type" value="groupprogram"  data-bs-toggle="tooltip" title="Eklenen derslerin mümkün olduğunca arka arkaya olması sağlanır.">
								<label class="form-check-label" for="groupprogram">Dersleri grupla</label>
							</div>
							<div class="form-check">
								<input type="checkbox" class="form-check-input" id="kitaponer" name="plan_type" value="kitaponer"  data-bs-toggle="tooltip" title="Program boyunca kullanabileceğin soru bankası önerilir.">
								<label class="form-check-label" for="kitaponer">Soru Bankası Öner</label>
							</div>
							
							<div class="form-check">
								<input type="checkbox" class="form-check-input" id="tytdenemesiekle" name="tytdenemesiekle" value="tytdenemesiekle" data-bs-toggle="tooltip" title="TYT denemesi eklensin mi?">
								<label class="form-check-label" for="tytdenemesiekle">TYT denemesi ekle</label>
							</div>
							<div class="form-group d-none" id="tytdenemetarihdiv">
								<label class="form-check-label" for="tytdenemesiekle">Deneme Başlangıç Tarihi</label>
								<input type="date" id="tytdenemebaslangictarihi" name="tytdenemebaslangictarihi" class="form-control"  title="TYT denemeleri hangi tarihten itibaren eklensin." data-bs-toggle="tooltip" value="{{tytdeneme_baslangictarihi}}">
							</div>
						
							<div class="form-check">
								<input type="checkbox" class="form-check-input" id="aytdenemesiekle" name="aytdenemesiekle" value="tytdenemesiekle" data-bs-toggle="tooltip" title="TYT denemesi eklensin mi?">
								<label class="form-check-label" for="aytdenemesiekle">AYT denemesi ekle</label>
							</div>
							<div class="form-group d-none" id="aytdenemetarihdiv">
								<label class="form-check-label" for="tytdenemesiekle">Deneme Başlangıç Tarihi</label>
								<input type="date" id="aytdenemebaslangictarihi" name="aytdenemebaslangictarihi" class="form-control"  title="AYT denemeleri hangi tarihten itibaren eklensin." data-bs-toggle="tooltip" value="{{aytdeneme_baslangictarihi}}">
							</div>
							
					   </div>
						
					</div>
				</div>
			</div>
         </div>
			<!-- Sınav Netleri Cardı -->
          <div class="card mb-3">
                <div class="card-body">
                    <div id="sinav_netleri_container">
                         <h5 class="card-title">Şuan TYT/AYT denemesinde ortalama kaç net yaparsın?</h5>
                        <div class="row">
                            <div class="form-group col-md-2 sayisal esitagirlik sozel">
                                <label for="tytmatematik_net" data-bs-toggle="tooltip" title="TYT Matematik net aralığınızı seçiniz.">TYT Matematik</label>
                                <select id="tytmatematik_net" name="tytmatematik_net" class="form-control" data-bs-toggle="tooltip" title="TYT Matematik net aralığınızı seçiniz.">
                                    <option value="0">0-5 arası</option>
                                    <option value="1">6-10 arası</option>
                                    <option value="2" selected>11-15 arası</option>
                                    <option value="3">16-24 arası</option>
                                    <option value="4">25-30 arası</option>
                                </select>

                            </div>
                            <div class="form-group col-md-2 sayisal esitagirlik sozel">
                                <label for="tytgeometri_net" data-bs-toggle="tooltip" title="TYT Geometri net aralığınızı seçiniz.">TYT Geometri</label>
                                <select id="tytgeometri_net" name="tytgeometri_net" class="form-control" data-bs-toggle="tooltip" title="TYT Geometri net aralığınızı seçiniz.">
                                    <option value="0">0-2 arası</option>
                                    <option value="1" selected>3-5 arası</option>
                                    <option value="2">5-7 arası</option>
                                    <option value="3">7-9 arası</option>
                                    <option value="4">9-11 arası</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2 sayisal esitagirlik sozel">
                                <label for="tytturkce_net" data-bs-toggle="tooltip" title="TYT Türkçe net aralığınızı seçiniz.">TYT Türkçe</label>
                                <select id="tytturkce_net" name="tytturkce_net" class="form-control" data-bs-toggle="tooltip" title="TYT Türkçe net aralığınızı seçiniz.">
									<option value="0">0-5 arası</option>
									<option value="1">6-10 arası</option>
									<option value="2" selected>11-15 arası</option>
									<option value="3">16-24 arası</option>
									<option value="4">25-30 arası</option>
									<option value="5">31-35 arası</option>
									<option value="6">36-40 arası</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2 sayisal">
                                <label for="tytfizik_net" data-bs-toggle="tooltip" title="TYT Fizik net aralığınızı seçiniz.">TYT Fizik</label>
                                <select id="tytfizik_net" name="tytfizik_net" class="form-control" data-bs-toggle="tooltip" title="TYT Fizik net aralığınızı seçiniz.">
                                    <option value="0">0-1 arası</option>
                                    <option value="1" selected>2-3 arası</option>
                                    <option value="2">3-4 arası</option>
                                    <option value="3">5-6 arası</option>
                                    <option value="4">7</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2 sayisal">
                                <label for="tytkimya_net" data-bs-toggle="tooltip" title="TYT Kimya net aralığınızı seçiniz.">TYT Kimya</label>
                                <select id="tytkimya_net" name="tytkimya_net" class="form-control" data-bs-toggle="tooltip" title="TYT Kimya net aralığınızı seçiniz.">
                                    <option value="0">0-1 arası</option>
                                    <option value="1" selected>2-3 arası</option>
                                    <option value="2">3-4 arası</option>
                                    <option value="3">5-6 arası</option>
                                    <option value="4">7</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2 sayisal">
                                <label for="tytbiyoloji_net" data-bs-toggle="tooltip" title="TYT Biyoloji net aralığınızı seçiniz.">TYT Biyoloji</label>
                                <select id="tytbiyoloji_net" name="tytbiyoloji_net" class="form-control" data-bs-toggle="tooltip" title="TYT Biyoloji net aralığınızı seçiniz.">
                                    <option value="0">0-1 arası</option>
                                    <option value="1" selected>2-3 arası</option>
                                    <option value="2">3-4 arası</option>
                                    <option value="3">5-6 arası</option>
                                </select>
                            </div>
                             <div class="form-group col-md-2 esitagirlik sozel" style="display: none">
                                <label for="tyttarih_net" data-bs-toggle="tooltip" title="TYT Tarih net aralığınızı seçiniz.">TYT Tarih</label>
                                <select id="tyttarih_net" name="tyttarih_net" class="form-control" data-bs-toggle="tooltip" title="TYT Tarih net aralığınızı seçiniz.">
                                    <option value="0">0-2 arası</option>
                                    <option value="1" selected>3-5 arası</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2 sozel esitagirlik" style="display: none">
                                <label for="tytcografya_net" data-bs-toggle="tooltip" title="TYT Coğrafya net aralığınızı seçiniz.">TYT Coğrafya</label>
                                <select id="tytcografya_net" name="tytcografya_net" class="form-control" data-bs-toggle="tooltip" title="TYT Coğrafya net aralığınızı seçiniz.">
                                    <option value="0">0-2 arası</option>
                                    <option value="1" selected>3-5 arası</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2 sozel esitagirlik" style="display: none">
                                <label for="tytfelsefe_net" data-bs-toggle="tooltip" title="TYT Felsefe net aralığınızı seçiniz.">TYT Felsefe</label>
                                <select id="tytfelsefe_net" name="tytfelsefe_net" class="form-control" data-bs-toggle="tooltip" title="TYT Felsefe net aralığınızı seçiniz.">
                                    <option value="0">0-2 arası</option>
                                    <option value="1" selected>3-5 arası</option>
                                </select>
                            </div>
						</div>
                        <div class="row">
                            <div class="form-group col-md-2 sayisal esitagirlik">
                                <label for="aytmatematik_net" data-bs-toggle="tooltip" title="AYT Matematik net aralığınızı seçiniz.">AYT Matematik</label>
                                <select id="aytmatematik_net" name="aytmatematik_net" class="form-control" data-bs-toggle="tooltip" title="AYT Matematik net aralığınızı seçiniz.">
                                    <option value="0">0-5 arası</option>
                                    <option value="1">6-10 arası</option>
                                    <option value="2" selected>11-15 arası</option>
                                    <option value="3">16-24 arası</option>
                                    <option value="4">20-30 arası</option>
                                </select>
                            </div>
							<div class="form-group col-md-2 sayisal esitagirlik">
                                <label for="aytgeometri_net" data-bs-toggle="tooltip" title="AYT Geometri net aralığınızı seçiniz.">AYT Geometri</label>
                                <select id="aytgeometri_net" name="aytgeometri_net" class="form-control" data-bs-toggle="tooltip" title="AYT Geometri net aralığınızı seçiniz.">
                                    <option value="0">0-2 arası</option>
                                    <option value="1" selected>3-5 arası</option>
                                    <option value="2">5-7 arası</option>
                                    <option value="3">7-9 arası</option>
                                    <option value="4">9-11 arası</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2 sayisal">
                                <label for="aytfizik_net" data-bs-toggle="tooltip" title="AYT Fizik net aralığınızı seçiniz.">AYT Fizik</label>
                                <select id="aytfizik_net" name="aytfizik_net" class="form-control" data-bs-toggle="tooltip" title="AYT Fizik net aralığınızı seçiniz.">
                                    <option value="0">0-3 arası</option>
                                    <option value="1">4-6 arası</option>
                                    <option value="2" selected>7-9 arası</option>
                                    <option value="3">10-12 arası</option>
                                    <option value="4">13-14 arası</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2 sayisal">
                                <label for="aytkimya_net" data-bs-toggle="tooltip" title="AYT Kimya net aralığınızı seçiniz.">AYT Kimya</label>
                                <select id="aytkimya_net" name="aytkimya_net" class="form-control" data-bs-toggle="tooltip" title="AYT Kimya net aralığınızı seçiniz.">
                                    <option value="0">0-3 arası</option>
                                    <option value="1">4-6 arası</option>
                                    <option value="2" selected>7-9 arası</option>
                                    <option value="3">10-13 arası</option>
                                </select>
                            </div>
                           <div class="form-group col-md-2 sayisal">
                                <label for="aytbiyoloji_net" data-bs-toggle="tooltip" title="AYT Biyoloji net aralığınızı seçiniz.">AYT Biyoloji</label>
                                <select id="aytbiyoloji_net" name="aytbiyoloji_net" class="form-control" data-bs-toggle="tooltip" title="AYT Biyoloji net aralığınızı seçiniz.">
                                    <option value="0">0-2 arası</option>
                                    <option value="1">3-5 arası</option>
                                    <option value="2" selected>6-8 arası</option>
                                    <option value="3">9-10 arası</option>
                                    <option value="4">11-13 arası</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2 sozel esitagirlik" style="display: none">
                                <label for="aytedebiyat_net" data-bs-toggle="tooltip" title="AYT Edebiyat net aralığınızı seçiniz.">AYT Edebiyat</label>
                                <select id="aytedebiyat_net" name="aytedebiyat_net" class="form-control" data-bs-toggle="tooltip" title="AYT Edebiyat net aralığınızı seçiniz.">
                                    <option value="0">0-5 arası</option>
                                    <option value="1">6-10 arası</option>
                                    <option value="2">11-15 arası</option>
                                    <option value="3" selected>16-20 arası</option>
                                    <option value="4">20-24 arası</option>
                                </select>
                            </div>
                              <div class="form-group col-md-2 esitagirlik sozel" style="display: none">
                                <label for="ayttarih_net" data-bs-toggle="tooltip" title="AYT Tarih net aralığınızı seçiniz.">AYT Tarih</label>
                                <select id="ayttarih_net" name="ayttarih_net" class="form-control" data-bs-toggle="tooltip" title="AYT Tarih net aralığınızı seçiniz.">
                                    <option value="0">0-5 arası</option>
                                    <option value="1">6-10 arası</option>
                                </select>
                            </div>
                              <div class="form-group col-md-2 sozel" style="display: none">
                                <label for="aytcografya_net" data-bs-toggle="tooltip" title="AYT Coğrafya net aralığınızı seçiniz.">AYT Coğrafya</label>
                                <select id="aytcografya_net" name="aytcografya_net" class="form-control" data-bs-toggle="tooltip" title="AYT Coğrafya net aralığınızı seçiniz.">
                                    <option value="0">0-5 arası</option>
                                    <option value="1">6-10 arası</option>
                                </select>
                            </div>
                           <div class="form-group col-md-2 sozel" style="display: none">
                                <label for="aytfelsefe_net" data-bs-toggle="tooltip" title="AYT Felsefe net aralığınızı seçiniz.">AYT Felsefe</label>
                                <select id="aytfelsefe_net" name="aytfelsefe_net" class="form-control" data-bs-toggle="tooltip" title="AYT Felsefe net aralığınızı seçiniz.">
                                    <option value="0">0-5 arası</option>
                                    <option value="1">6-10 arası</option>
                                </select>
                            </div>
                        </div>
                    </div>
					
                </div>
				<div class="card-footer">
					<div class="btn-group" role="group" aria-label="Plan Actions">
						<button id ="onerimvar-button" type="button" class="btn btn-secondary" onclick="openOnerimModal()"  title="Öneride bulunmak için tıklayın.">Önerim Var</button>
						<button type="button" class="btn btn-secondary ms-1" onclick="openKonularModal()" data-bs-toggle="modal" data-bs-target="#konuListesiModal" title="Planlamaya dahil edilecek konuları seçmek için tıklayın.">Konular</button>
						<button type="button" class="btn btn-secondary ms-1" onclick="openSaatlerModal()" title="Günlük çalışma saatlerini ayarlamak için tıklayın.">Çalışma Saatleri</button>
						<button onclick="getPlan()" class="btn btn-primary ms-1" id="plan-button" data-bs-toggle="tooltip" title="Belirlediğin değişkenlere göre çalışma planını oluştur.">Planımı Oluştur</button>
						<button type="button" class="btn btn-info ms-1" onclick="openHaftalikDersProgramiModal()" id="haftalik-program-button" style="display:none;" data-bs-toggle="tooltip" title="Haftalık ders programınızı görüntülemek için tıklayın.">Haftalık Ders Programı</button>
						<button type="button" class="btn btn-info ms-1" onclick="openReportModal()" id="report-button" style="display:none;" data-bs-toggle="tooltip" title="Oluşturduğunuz çalışma planı raporunu görüntüleyebilirsiniz.">Rapor</button>
						<button onclick="printPlan()" class="btn btn-info ms-1" id="print-button" style="display:none;" data-bs-toggle="tooltip" title="Oluşturduğunuz çalışma planını yazdırabilirsiniz.">Yazdır</button>
					 </div>
				</div>
        </div>
        <div class="modal fade" id="saatlerModal" tabindex="-1" aria-labelledby="saatlerModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="saatlerModalLabel">Günlük Çalışma Saatleri</h5>
						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
							<span aria-hidden="true">×</span>
						</button>
                    </div>
                    <div class="modal-body">
                        <div id="toplam-saat-bilgisi" class="text-center mb-2"></div>
							<p>Günlük ders saatleri hedefine göre otomatik olarak belirlenir ama bu kısımdan sende ders saatlerini isteğine göre değiştirebilirsin.</p>
							<div id="saatlerForm">
								<div class="row">
									<div class="form-group row col-md-6">
										<label class="col-sm-4 col-form-label">Pazartesi:</label>
										<div class="col-sm-8">
											<input type="number" class="form-control saat-input" name="pazartesi" value="4" min="0" max="8" title="Pazartesi çalışma saatini giriniz." data-bs-toggle="tooltip">
										</div>
									</div>
									<div class="form-group row col-md-6">
										<label class="col-sm-4 col-form-label">Salı:</label>
										<div class="col-sm-8">
											<input type="number" class="form-control saat-input" name="sali" value="4" min="0" max="8" title="Salı çalışma saatini giriniz." data-bs-toggle="tooltip">
										</div>
									</div>
								</div>
								<div class="row">
								   <div class="form-group row col-md-6">
										<label class="col-sm-4 col-form-label">Çarşamba:</label>
										<div class="col-sm-8">
											<input type="number" class="form-control saat-input" name="carsamba" value="4" min="0" max="8" title="Çarşamba çalışma saatini giriniz." data-bs-toggle="tooltip">
										</div>
								   </div>
								   <div class="form-group row col-md-6">
										<label class="col-sm-4 col-form-label">Perşembe:</label>
										<div class="col-sm-8">
											<input type="number" class="form-control saat-input" name="persembe" value="4" min="0" max="8" title="Perşembe çalışma saatini giriniz." data-bs-toggle="tooltip">
										</div>
								   </div>
								</div>
								<div class="row">
									 <div class="form-group row col-md-6">
										<label class="col-sm-4 col-form-label">Cuma:</label>
										<div class="col-sm-8">
											<input type="number" class="form-control saat-input" name="cuma" value="4" min="0" max="8" title="Cuma çalışma saatini giriniz." data-bs-toggle="tooltip">
										</div>
									 </div>
									<div class="form-group row col-md-6">
										<label class="col-sm-4 col-form-label">Cumartesi:</label>
										<div class="col-sm-8">
											<input type="number" class="form-control saat-input" name="cumartesi" value="6" title="Cumartesi çalışma saatini giriniz." data-bs-toggle="tooltip">
										</div>
									 </div>
								</div>
								<div class="row">
								   <div class="form-group row col-md-6">
										<label class="col-sm-4 col-form-label">Pazar:</label>
										<div class="col-sm-8">
											<input type="number" class="form-control saat-input" name="pazar" value="8" title="Pazar çalışma saatini giriniz." data-bs-toggle="tooltip">
										</div>
									 </div>
								</div>
							</div>
                         <div id="toplam-ders-saati" class="mt-3"></div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal" data-bs-toggle="tooltip" title="Günlük çalışma saatleri ayarlarını kapatmak için tıklayın.">Kapat</button>
                        <button type="button" class="btn btn-primary" onclick="saveSaatler()" data-bs-toggle="tooltip" title="Çalışma saatlerini kaydetmek için tıklayın.">Kaydet</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="konuListesiModal" tabindex="-1" aria-labelledby="konuListesiModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="konuListesiModalLabel">Hangi konular planlamaya dahil edilsin?</h5>
                        <button type="button" class="close" data-dismiss="modal" data-bs-dismiss="modal" aria-label="Close" data-bs-toggle="tooltip" title="Konu listesini kapatır.">
							<span aria-hidden="true">×</span>
						</button>
                    </div>
                    <div class="modal-body">
						<p>Konulara tıklayarak açılan listeden hangi konuların planlamaya dahil edilip edilmeyeceğini seçebilirsin. Her bir konunun yanında yazan sayılar sınavda o konudan ortalama kaç soru sorulduğunu gösterir.</p>
                        <div class="accordion" id="konuSecimAccordion">
                            <div class="row" id="ders_listesi_container">

                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal" data-bs-dismiss="modal" data-bs-toggle="tooltip" title="Konu listesini kapatır.">Kapat</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="haftalikDersProgramiModal" tabindex="-1" aria-labelledby="haftalikDersProgramiModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-xl" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="haftalikDersProgramiModalLabel">Haftalık Ders Programı</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close" data-bs-toggle="tooltip" title="Haftalık ders programını kapatır.">
							<span aria-hidden="true">×</span>
						</button>
                    </div>
                    <div class="modal-body">
                        <p>Programda dersleri sürükeyip bırakarak programı kendine göre ayalaryabilirsin. Programda değişiklik yaptığında "Yeniden Planla" butonu aktif hale gelecek, bu butona tıklayarak ayarladığın programa göre planı tekrar yapabilirsin. Bir derse tıklayarak başka bir ders ile değiştirebilirsin.</p>
                        <p>Günlük ders saaterini ana sayfada "Çalışma Saatleri" butonuna tıklayarak belirleyebilirsin.</p>
                         <div id="haftalikprogram" class="draggable-table table-responsive">Program henüz oluşturulmadı. Haftalık programı programı oluşturduktan sonra gösterebilirim</div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" onclick="getPlan('reprogram')" id="regenerate-plan-button" style="display:none;" data-bs-toggle="tooltip" title="Planıı yenilemek için tıkla.">Yeniden Planla</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal" data-bs-toggle="tooltip" title="Haftalık ders programını kapatır.">Kapat</button>
                    </div>
                </div>
            </div>
        </div>
           <!-- Ders Değiştir Modal -->
        <div class="modal fade" id="dersDegistirModal" tabindex="-1" role="dialog" aria-labelledby="dersDegistirModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="dersDegistirModalLabel">Ders Değiştir</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                      <div id="ders-degistir-form-container">
                          <div id="ders-degistir-form">
                              <div class="form-group">
                                    <label for="ders_secimi">Ders Seçimi</label>
                                    <select class="form-control" name="ders_secimi" id="ders_secimi">
                                    </select>
                                 </div>
                               <div class="form-group">
                                     <label for="ders_soru">Soru Sayısı</label>
                                    <input type="number" class="form-control" name="ders_soru" id="ders_soru">
                               </div>
                             <input type="hidden" name="target_id" id="target_id" value="">
                             <input type="hidden" name="target_ders_kodu" id="target_ders_kodu" value="">
                             <input type="hidden" name="target_ders_adi" id="target_ders_adi" value="">
                             <input type="hidden" name="target_soru" id="target_soru" value="">
                          </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Kapat</button>
                        <button type="button" onclick="editDersInModal()" class="btn btn-primary">Kaydet</button>
                    </div>
                </div>
            </div>
        </div>
             <!-- Rapor Modal -->
        <div class="modal fade" id="reportModal" tabindex="-1" role="dialog" aria-labelledby="reportModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-xl" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="reportModalLabel">Planlama Raporu</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                         <div id="report-container">Rapor henüz oluşturulmadı. Planı oluşturduktan sonra raporu gösterebilirim.</div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal" data-bs-dismiss="modal" data-bs-toggle="tooltip" title="Raporu kapat.">Kapat</button>
                    </div>
                </div>
            </div>
        </div>
        
        <div id="error-message" class="error mt-2"></div>
        
    </div>
    <div class="row" id="ders-detail">
        <div id="ders-graph" class="col-md-6"></div>
        <div id="ders-rapor" class="col-md-6"></div>
    </div>
    <div id="plan-container" class="mt-4"></div>

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <!-- Bootstrap 5 JS (Popper.js dahil) -->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.min.js"></script>
